﻿using Syncfusion.DataSource;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace ListViewSample
{
    public partial class NestedListView : ContentPage
    {

        #region Constructor

        public NestedListView()
        {
            InitializeComponent();

            InitializeGroupDescriptor();
        }

        #endregion

        #region Private Methods
        private void InitializeGroupDescriptor()
        {
            listView.DataSource.GroupDescriptors.Add(new GroupDescriptor()
            {
                PropertyName = "Location",
                KeySelector = (object obj1) =>
                {
                    var item = (obj1 as ContactInfo_NestedListView);
                    return item.Location.ToString();
                },
            });
        }

        #endregion

    }
}